
package dbhandling;
import java.io.*;
import java.sql.*;
public class BLO {
    public static void main(String[] args) throws Exception{
      
    Class.forName("org.apache.derby.jdbc.ClientDriver");  //in: derbyclient.jar

//    Enumeration en=DriverManager.getDrivers();
//    while (en.hasMoreElements()) {
//      Driver drv=(Driver) en.nextElement();
//      System.out.println(drv+"  "+drv.getMajorVersion()+"."+drv.getMinorVersion()+"  "+drv.jdbcCompliant());
//    }

    Connection con=
      DriverManager.getConnection("jdbc:derby://localhost:1527/sample","app","app"); 
    Statement stmt = con.createStatement(); 
    stmt.executeUpdate( " CREATE TABLE BL  ( id char(10), blb blob ) " );


    Blob myBlob = con.createBlob();
    OutputStream blobStream = myBlob.setBinaryStream(1);

    InputStream is=new ByteArrayInputStream(new byte[]{0,1,2,3,4,5,6,7,8,9} ); 
    transfer(is, blobStream);
   
     System.out.println("Length of Blob: " + myBlob.length());    
     
     String sql1 = "INSERT INTO BL VALUES(?, ?)";
     PreparedStatement pstmt = null;
        pstmt = con.prepareStatement(sql1);
        pstmt.setString(1, "T");
        pstmt.setBlob(2, myBlob);
        int k=pstmt.executeUpdate();     
        System.out.println("k="+k);

     String q1="SELECT * FROM BL WHERE ID='T' ";
     ResultSet rs=stmt.executeQuery(q1);
     ResultViewer.show(rs);     
  }
    
    static void transfer(InputStream is, OutputStream os) throws Exception {        
        while(true) { int b=is.read(); if ( b<0 ) break; else os.write(b); }                  
    }
}
