package dbhandling;
//import java.util.*;
import java.sql.*;

public class ResultViewer {


  public static void show( ResultSet r ) throws Exception {
    System.out.println("\nRESULT VIEWER:");

    ResultSetMetaData md=r.getMetaData();
    int colno=md.getColumnCount();
    System.out.println("Columns= "+colno);

    for (int i = 1; i <= colno; i++)
      System.out.print("   "+md.getColumnName(i));
    System.out.println();

    for (int i = 1; i <= colno; i++)
      System.out.print("   "+md.getColumnTypeName(i));
    System.out.println();

    int j=0;
    while(r.next()) {                     // thru all rows
      System.out.print( (++j) );
      for (int i=1; i<=colno; i++) System.out.print("   " + r.getString(i) );
      System.out.println();
    }

    System.out.println("-----------------------");
  }

}
