
package dbhandling;
import java.sql.*;
import java.util.*;

public class SimpleTest2 {
  public static void main(String[] args) throws Exception{
      
    Class.forName("org.apache.derby.jdbc.ClientDriver"); // in derbyclient.jar

    Enumeration<Driver> en=DriverManager.getDrivers();
    while (en.hasMoreElements()) {
      Driver drv= en.nextElement();
      System.out.println(drv+"  "+drv.getMajorVersion()+"."+drv.getMinorVersion()+"  "+drv.jdbcCompliant());
    }

    Connection c=  
      DriverManager.getConnection("jdbc:derby://localhost:1527/sample","app","app");   // obe male

    Statement s=c.createStatement(ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
    System.out.println("s="+s);

    ResultSet r=null;

    s.executeUpdate("CREATE TABLE G  ( jmeno CHAR(10), tel INT)");
    int k=0;
    k += s.executeUpdate("INSERT INTO G(jmeno,tel) VALUES('DANA', 333) ");
    k += s.executeUpdate("INSERT INTO G(jmeno,tel) VALUES('JANA', 222) ");
    k += s.executeUpdate("INSERT INTO G(jmeno,tel) VALUES('HANA', 111) ");
    k += s.executeUpdate("INSERT INTO G(jmeno,tel) VALUES('ANNA', 444) ");
    System.out.println("k="+k+"  pridany");

 //   k=s.executeUpdate("DELETE FROM G WHERE jmeno='JANA' OR jmeno='HANA' OR jmeno>'ANNA'");
 //   System.out.println("k="+k+"  zruseny");

    r=s.executeQuery("SELECT  * FROM G ORDER BY tel");

    ResultViewer.show(r);
    
    //s.executeUpdate("DROP TABLE G"); 
  }
   
}
    

