
package dbhandling;

import java.io.*;
import java.sql.*;
import java.util.Enumeration;

public class CLO {
    public static void main(String[] args) throws Exception{
      
    Class.forName("org.apache.derby.jdbc.ClientDriver");  //in: derbyclient.jar

//    Enumeration en=DriverManager.getDrivers();
//    while (en.hasMoreElements()) {
//      Driver drv=(Driver) en.nextElement();
//      System.out.println(drv+"  "+drv.getMajorVersion()+"."+drv.getMinorVersion()+"  "+drv.jdbcCompliant());
//    }

    Connection con=
      DriverManager.getConnection("jdbc:derby://localhost:1527/sample","app","app"); 
    Statement stmt = con.createStatement(); 
 //   stmt.executeUpdate( " CREATE TABLE CL  ( id char(10), clb clob ) " );


    Clob myClob = con.createClob();
    Writer clobWriter = myClob.setCharacterStream(1);

    readFile(new FileReader("./src/dbhandling/CLO.java"),clobWriter);    
   // myClob.setString(1, str);    
     System.out.println("Length of Clob: " + myClob.length());    
     
     String sql1 = "INSERT INTO CL VALUES(?, ?)";
     PreparedStatement pstmt = null;
        pstmt = con.prepareStatement(sql1);
        pstmt.setString(1, "T");
        pstmt.setClob(2, myClob);
        int k=pstmt.executeUpdate();     
        System.out.println("k="+k);

     String q1="SELECT * FROM CL  ";
     ResultSet rs=stmt.executeQuery(q1);
     ResultViewer.show(rs);     
        System.out.println("===========   END     ==================");
  }
    
    public static void readFile(FileReader rr, Writer wr) throws Exception {        
        while(true) { int c=rr.read(); if ( c<0 ) break; else wr.write(c); }                  
    }
    
//    public  static String readFileX(File f, Writer wr) throws Exception {
//        String s=null;
//        char[] a=new char[500];
//        Reader rr= new FileReader(f);
//        int len=0;
//        while(true) {
//           len=rr.read(a);
//           System.out.println("lem="+len);
//           if ( len<=0 ) break;
//           wr.write(a, 0, len);        
//        }    
//        return s; //=new String(a,0,len);
//    }
}
