package dbhandling;
import java.util.*;
import java.sql.*;

public class MetaViewer {

   public static void show( ResultSet r ) {
     System.out.println("MetaData:   ");

     try {

       ResultSetMetaData m=r.getMetaData();

       for (int i = 1; i <= m.getColumnCount(); i++) {
         System.out.println(i + "  " +
           m.getColumnName(i) + "  " +
           (m.getColumnType(i) == Types.CHAR) + "  " +
           m.getColumnTypeName(i) + "  " +
           m.getColumnLabel(i) + "  " +
           m.getColumnDisplaySize(i) + "  " +
           m.getCatalogName(i) + "  " +
           m.getSchemaName(i)
         );
       }
     }
     catch (Exception ex) { System.out.println(ex); }
     System.out.println("----------------------");
  }

}