
package dbhandling;

import java.sql.*;
import java.util.*;

public class SimpleTest1 {
    
  public static void main(String[] args) throws Exception{
    System.out.println(System.getProperty("java.home"));
    System.out.println(System.getProperty("user.home"));

    Class.forName("org.apache.derby.jdbc.ClientDriver");  //in: derbyclient.jar

    Enumeration en=DriverManager.getDrivers();
    while (en.hasMoreElements()) {
      Driver drv=(Driver) en.nextElement();
      System.out.println(drv+"  "+drv.getMajorVersion()+"."+drv.getMinorVersion()+"  "+drv.jdbcCompliant());
    }
    
    Connection c=
      DriverManager.getConnection("jdbc:derby://localhost:1527/sample","app","app"); 

    Statement s=c.createStatement(ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
    System.out.println("s="+s);

    ResultSet r=null;

    r=s.executeQuery("SELECT CUSTOMER_ID, DISCOUNT_CODE, ZIP FROM CUSTOMER");

    MetaViewer.show(r);
    
    ResultViewer.show(r);

  }
   
}

